---
title: "Convert Team to Channel"
slug: "convert-team-to-channel"
updated: 2026-07-26T17:02:04Z
published: 2026-07-26T17:02:04Z
canonical: "developer.rocket.chat/convert-team-to-channel"
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Team to Channel

Post/api/v1/teams.convertToChannel

Convert a team to a channel. Permission required: `convert-team`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='7685d2fa-3f88-4bd0-aabc-8744d470ea99'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='9ed9ab38-ae83-4f15-909a-93cd44eec825'>Example</option>
</select>Example

```json
{
  "teamId": "612b8ae982d286c3d1f5db31"
}
```

object  teamIdstring    Required

The team ID that you want to convert to a channel.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='6aa755f5-31c8-4c73-aee7-22d73cc69b70'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='99b2e873-deb3-4d47-abd7-0215fd9c794c'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='5d7fff2e-fdfc-449c-8ca9-09ecce27f7b4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='15d2a64d-2fea-4f85-8dd4-e72c3da39519'>Invalid Team Id</option>
<option value='dac85d82-2ded-4cd8-8ada-59670e756177'>Team Id or Team name is required</option>
</select>Invalid Team Id

```json
{
  "success": false,
  "error": "team-does-not-exist"
}
```

Team Id or Team name is required

```json
{
  "success": false,
  "error": "missing-teamId-or-teamName"
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='bea2d4b5-9dd4-4ae1-91ad-cc0185964fad'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b8f5d83c-c0ec-431e-99bc-afb4ba5b0c14'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
